Re-importing an environment where class parameters were removed does not remove those

parameters in Foreman's class signatures
Description

We recently upgraded a dev instance of Foreman (and associated proxies) to 1.8.0 and are running into an issue where re-importing

an environment where class parameters have been removed does not actually remove those parameters in Foreman for that env.

The initial way we found this was that the ENC output for clients included the deprecated parameters (this was after the re-import),

causing Puppet runs to fail ("no such class parameter"). Additionally, when we try to re-import, Foreman claims there are still

changes in the environment that it doesn't know about.

As a workaround, we moved all hosts off that environment, deleted it, and re-imported it, and its signatures were then correct.

Unfortunately, I didn't check beforehand if any hosts still had those removed parameters set, I later thought that that might've been

the issue. (I'm not sure if moving the hosts off that environment and deleting it would've removed that information).

Related issues:

Is duplicate of Foreman - Bug #7517: Puppet class parameter not removed from ... Closed 09/18/2014

History

#1 - 05/05/2015 11:07 AM - Dominic Cleal

- Project changed from Smart Proxy to Foreman

- Category set to Puppet integration

#2 - 05/05/2015 11:07 AM - Dominic Cleal

- Related to Bug #2369: Paramaterized classes persist through import after parameters have been removed added

#3 - 11/24/2015 06:51 AM - Dominic Cleal

- Related to deleted (Bug #2369: Paramaterized classes persist through import after parameters have been removed)

#4 - 11/24/2015 06:51 AM - Dominic Cleal

- Is duplicate of Bug #7517: Puppet class parameter not removed from environment after an import added

#5 - 11/24/2015 06:51 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, this looks to be the same as #7517, which I'll add some more info to in a moment.
